@font-face {
  font-family: "codropsicons";
  font-weight: normal;
  font-style: normal;
  src: url("../fonts/codropsicons/codropsicons.eot");
  src: url("../fonts/codropsicons/codropsicons.eot?#iefix")
      format("embedded-opentype"),
    url("../fonts/codropsicons/codropsicons.woff") format("woff"),
    url("../fonts/codropsicons/codropsicons.ttf") format("truetype"),
    url("../fonts/codropsicons/codropsicons.svg#codropsicons") format("svg");
}

*,
*::after,
*::before {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.clearfix::before,
.clearfix::after {
  content: "";
  display: table;
}

.clearfix::after {
  clear: both;
}

body {
  /* font-family: "Avenir Next", Avenir, "Helvetica Neue", Helvetica, Arial,
    sans-serif; */
  font-family: Montserrat, -apple-system, Roboto, sans-serif;
  color: #515158;
  background: #f0f0f0;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  /* 20240611 */
  overflow-x: hidden;
}

a {
  text-decoration: none;
  color: #000;
  outline: none;
}

a:hover,
button:hover {
  /* color: #515158; */
  color: #ffffff;
  outline: none;
}

a:focus,
button:focus {
  outline: none;
}

.hidden {
  position: absolute;
  overflow: hidden;
  width: 0;
  height: 0;
  pointer-events: none;
}

/* Zoom Mobile */
svg.zoom.mobile {
  width: 32px;
  height: 32px;
  object-fit: contain;
  object-position: center;
  position: absolute;
  right: 1em;
  bottom: 1em;
  display: none;
}

/* Icons */
.icon {
  display: block;
  width: 1em;
  height: 1em;
  margin: 0 auto;
  fill: currentColor;
}

.container {
  position: relative;
  width: 100vw;
  height: 100vh;
}

/* Header */

.codrops-header {
  position: absolute;
  z-index: 100;
  top: 0;
  left: 0;
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
  padding: 1.5em 1em;
  text-align: center;
}

.codrops-header img {
  width: 192px;
  height: auto;
  object-fit: contain;
  object-position: center;
}

.codrops-header h1 {
  font-size: 1.15em;
  font-weight: normal;
  line-height: 1;
  /* margin: 0 0 0 1em; */
  margin: 0;
}

/* Top Navigation Style */

.codrops-links {
  position: relative;
  display: inline-block;
  text-align: center;
  white-space: nowrap;
}

.codrops-links::after {
  content: "";
  position: absolute;
  top: 0;
  left: 50%;
  width: 1px;
  height: 100%;
  background: rgba(0, 0, 0, 0.1);
  -webkit-transform: rotate3d(0, 0, 1, 22.5deg);
  transform: rotate3d(0, 0, 1, 22.5deg);
}

.codrops-icon {
  display: inline-block;
  width: 1.5em;
  margin: 0.5em;
  padding: 0em 0;
  text-decoration: none;
}

.codrops-icon span {
  display: none;
}

.codrops-icon::before {
  font-family: "codropsicons";
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  line-height: 1;
  margin: 0 5px;
  text-transform: none;
  speak: none;
  -webkit-font-smoothing: antialiased;
}

.codrops-icon--drop::before {
  content: "\e001";
  color: #09c;
}

.codrops-icon--prev::before {
  content: "\e004";
}

.main {
  position: fixed;
  top: 0;
  left: 0;
  overflow: hidden;
  width: calc(100vw - 300px);
  height: 100vh;
}

.mall {
  position: relative;
  width: 100%;
  height: 100%;
  pointer-events: none;
  -webkit-perspective: 3500px;
  perspective: 3500px;
  -webkit-perspective-origin: 0% 50%;
  perspective-origin: 0% 50%;
  -webkit-transition: -webkit-transform 0.8s;
  transition: transform 0.8s;
  -webkit-transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
  transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
}

.mall.mall--content-open {
  -webkit-transform: translate3d(0, -25%, 0) scale3d(0.8, 0.8, 1);
  transform: translate3d(0, -25%, 0) scale3d(0.8, 0.8, 1);
}

.surroundings,
.levels {
  position: absolute;
  top: 50%;
  left: 50%;
}

.surroundings {
  width: 192vmin;
  /* double of mall map */
  height: 128vmin;
  margin: -64vmin 0 0 -96vmin;
  pointer-events: none;
  -webkit-transition: opacity 0.8s;
  transition: opacity 0.8s;
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
}

.surroundings__map {
  opacity: 0.3;
  max-width: 100%;
  display: block;
}

.surroundings--hidden {
  opacity: 0;
}

.levels {
  width: 96vmin;
  height: 64vmin;
  margin: -32vmin 0 0 -48vmin;
  -webkit-transition: -webkit-transform 0.3s;
  transition: transform 0.3s;
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
}

.surroundings,
.levels {
  -webkit-transform: rotateX(70deg) rotateZ(-45deg) translateZ(-15vmin);
  transform: rotateX(70deg) rotateZ(-45deg) translateZ(-15vmin);
}

.level {
  position: relative;
  width: 100%;
  height: 100%;
  cursor: pointer;
  pointer-events: auto;
  -webkit-transition: opacity 1s, -webkit-transform 1s;
  transition: opacity 1s, transform 1s;
  -webkit-transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);
  transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
}

.level::after {
  font-size: 2.5vmin;
  line-height: 0;
  position: absolute;
  z-index: 100;
  top: -2em;
  left: 3.5em;
  white-space: nowrap;
  color: #7d7d86;
  -webkit-transform: rotateZ(45deg) rotateX(-70deg) translateZ(5vmin);
  transform: rotateZ(45deg) rotateX(-70deg) translateZ(5vmin);
  -webkit-transition: -webkit-transform 1s, color 0.3s;
  transition: transform 1s, color 0.3s;
  -webkit-transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);
  transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);
}

.level:hover::after,
.level--current::after {
  color: #515158;
}

.level--current::after {
  -webkit-transform: rotateZ(-20deg) rotateZ(45deg) rotateX(-70deg)
    translateZ(5vmin) translateX(5vmin) translateY(-10vmin);
  transform: rotateZ(-20deg) rotateZ(45deg) rotateX(-70deg) translateZ(5vmin)
    translateX(5vmin) translateY(-10vmin);
}

.level--1::after {
  content: "RDC";
}

.level--2::after {
  content: "E1";
}

.level--3::after {
  content: "E2";
}

.level--4::after {
  content: "E3";
}

.level--5::after {
  content: "E4";
}

.level--6::after {
  content: "E5";
}

.level:not(:first-child) {
  position: absolute;
  top: 0;
  left: 0;
}

.level--2 {
  -webkit-transform: translateZ(10vmin);
  transform: translateZ(10vmin);
}

.level--3 {
  -webkit-transform: translateZ(20vmin);
  transform: translateZ(20vmin);
}

.level--4 {
  -webkit-transform: translateZ(30vmin);
  transform: translateZ(30vmin);
}

.level--5 {
  -webkit-transform: translateZ(40vmin);
  transform: translateZ(40vmin);
}

.level--6 {
  -webkit-transform: translateZ(50vmin);
  transform: translateZ(50vmin);
}

/* Selection transitions */

.levels--selected-1 .level:not(.level--1),
.levels--selected-2 .level:not(.level--2),
.levels--selected-3 .level:not(.level--3),
.levels--selected-4 .level:not(.level--4),
.levels--selected-5 .level:not(.level--5),
.levels--selected-6 .level:not(.level--6) {
  opacity: 0;
  /* fade out all others */
}

/* Other levels */

.level--current ~ .level {
  -webkit-transform: translateZ(90vmin);
  transform: translateZ(90vmin);
}

.levels--selected-2 .level--1,
.levels--selected-3 .level--1,
.levels--selected-4 .level--1,
.levels--selected-3 .level--2,
.levels--selected-4 .level--2,
.levels--selected-4 .level--3,
.levels--selected-5 .level--1,
.levels--selected-5 .level--2,
.levels--selected-5 .level--3,
.levels--selected-5 .level--4,
.levels--selected-6 .level--1,
.levels--selected-6 .level--2,
.levels--selected-6 .level--3,
.levels--selected-6 .level--4,
.levels--selected-6 .level--5 {
  -webkit-transform: translateZ(-60vmin);
  transform: translateZ(-60vmin);
}

/* Delays */
/* 1 */

.levels--selected-1 .level--3,
.levels--selected-2 .level--3,
.levels--selected-3 .level--2,
.levels--selected-4 .level--2,
.levels--selected-5 .level--2,
.levels--selected-5 .level--3,
.levels--selected-5 .level--4,
.levels--selected-6 .level--2,
.levels--selected-6 .level--3,
.levels--selected-6 .level--4,
.levels--selected-6 .level--5 {
  -webkit-transition-delay: 0.1s;
  transition-delay: 0.1s;
}

.levels--selected-1 .level--2,
.levels--selected-2 .level--current,
.levels--selected-2 .level--current::after,
.levels--selected-3 .level--current,
.levels--selected-3 .level--current::after,
.levels--selected-4 .level--3,
.levels--selected-5 .level--current,
.levels--selected-5 .level--current::after,
.levels--selected-6 .level--current,
.levels--selected-6 .level--current::after {
  -webkit-transition-delay: 0.25s;
  transition-delay: 0.25s;
}

.levels--selected-1 .level--current,
.levels--selected-1 .level--current::after,
.levels--selected-4 .level--current,
.levels--selected-4 .level--current::after,
.levels--selected-5 .level--current,
.levels--selected-5 .level--current::after,
.levels--selected-6 .level--current,
.levels--selected-6 .level--current::after {
  -webkit-transition-delay: 0.45s;
  transition-delay: 0.45s;
}

/* Current level */

.level.level--current {
  /* -webkit-transform: translateZ(15vmin) rotate3d(0, 0, 1, 20deg); */
  /* go to center */
  /* transform: translateZ(15vmin) rotate3d(0, 0, 1, 20deg); */
  /* If Content height is 50% then translateZ must be 0vmin */
  -webkit-transform: translateZ(0vmin) rotate3d(0, 0, 1, 20deg);
  /* go to center */
  transform: translateZ(0vmin) rotate3d(0, 0, 1, 20deg);
}

/* Navigation classes */
.levels--open .level,
.levels--open .level::after {
  -webkit-transition: -webkit-transform 1s, opacity 1s;
  transition: transform 1s, opacity 1s;
  -webkit-transition-delay: 0s;
  transition-delay: 0s;
}

.levels--open .level.level--current {
  opacity: 1;
}

.levels--open .level.level--moveOutUp,
.levels--open .level.level--moveOutDown {
  opacity: 0;
}

.levels--open .level.level--moveOutUp {
  -webkit-transform: translateZ(90vmin);
  transform: translateZ(90vmin);
}

.levels--open .level.level--moveOutDown {
  -webkit-transform: translateZ(-60vmin);
  transform: translateZ(-60vmin);
}

/* Level nav */
.mallnav {
  position: absolute;
  top: 0;
  right: 0;
  text-align: center;
  -webkit-transition: opacity 0.8s;
  transition: opacity 0.8s;
}

.mallnav--hidden {
  pointer-events: none;
  opacity: 0;
}

/* Box button */
.boxbutton {
  font-size: 2em;
  display: block;
  width: 2em;
  height: 2em;
  margin: 0;
  padding: 0;
  color: #fff;
  border: 0;
  background: #d7d7dc;
}

.boxbutton--dark {
  /* background: #c4c4c7; */
  background: linear-gradient(66.04deg, #dd2497, #8b00ff);
}

.boxbutton--darker {
  background: #2c2c2f;
}

.boxbutton--alt {
  background: #3d1975;
}

.boxbutton--disabled,
.boxbutton--disabled:focus,
.boxbutton--disabled:hover {
  cursor: default;
  pointer-events: none;
  opacity: 0.2;
}

/* Level map */

.map__ground {
  fill: #d7d7dc;
}

.map__outline {
  -webkit-transition: fill 0.3s;
  transition: fill 0.3s;
  fill: #bbb;
}

.level:hover .map__outline,
.level--current .map__outline {
  fill: #a6a3a8;
}

.map__tree {
  fill: #7bad7f;
}

.map__lake {
  fill: #a2bbdd;
}

.map__space {
  -webkit-transition: fill-opacity 0.8s;
  transition: fill-opacity 0.8s;
  fill: #bdbdbd;
  fill-opacity: 0.6;
}

.level--current .map__space {
  /* Feature disabled  */
  /* fill-opacity: 1; */
}

.map__space--selected {
  /* Feature disabled  */
  /* fill: #a4a4a4; */
}

/* Content */
.content {
  position: absolute;
  top: 100%;
  width: 100%;
  height: 50%;
}

.content__item {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  padding: 3em;
  padding: 2em;
  text-align: center;
  background: #d7d7dc;
  -webkit-transition: -webkit-transform 0.8s;
  transition: transform 0.8s;
  -webkit-transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
  transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
}

.content--open .content__item {
  -webkit-transition: none;
  transition: none;
}

/* .content__item--current {
  -webkit-transform: translate3d(0, -100%, 0);
  transform: translate3d(0, -100%, 0);
} */

/* Content height */
.content__item--current {
  -webkit-transform: translate3d(0, -70%, 0);
  transform: translate3d(0, -70%, 0);
}

.content__item-title {
  font-size: 1.85em;
  margin: 0;
  padding: 0 0 0.75em 0;
  pointer-events: none;
  font-weight: normal;
  opacity: 0;
  -webkit-transform: translate3d(0, -3em, 0) translate3d(0, -100%, 0);
  transform: translate3d(0, -3em, 0) translate3d(0, -100%, 0);
}

.content__item[data-category="1"] .content__item-title {
  /* color: #7cbf7f; */
  color: #ff9400;
}

.content__item[data-category="2"] .content__item-title {
  /* color: #6584c7; */
  color: #f70000;
}

.content__item[data-category="3"] .content__item-title {
  /* color: #dc4b7c; */
  color: #43c0a6;
}

.content__item[data-category="4"] .content__item-title {
  /* color: #8d65e0; */
  color: #dd2497;
}

.content__item[data-category="5"] .content__item-title {
  /* color: #8d65e0; */
  color: #8b00ff;
}

.content__item--hover .content__item-title {
  opacity: 1;
  -webkit-transition: opacity 0.3s;
  transition: opacity 0.3s;
}

.content__item--current .content__item-title {
  opacity: 1;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.content__item-details {
  opacity: 0;
  margin: 0 auto;
  max-width: 50vmax;
}

.content__item--current .content__item-details {
  opacity: 1;
  /* Maxime Potier */
  display: flex;
  gap: 1vmax;
}

.content__meta {
  margin: 0;
  font-size: 0.85em;
  line-height: 1.5;
}

.content__meta-item {
  display: inline-block;
  padding: 0 0.25em;
  color: #000;
}

.content__meta .icon {
  display: inline-block;
  vertical-align: middle;
}

.content__desc {
  text-align: left;
  /* margin: 7vmin 0 0 0; */
  /* Maxime Potier */
  margin: 0;
}

.content__button {
  position: absolute;
  /* top: -100%; */
  /* Top must be equal to Content height */
  top: -70%;
  right: 0;
  -webkit-transition: opacity 0.3s 0.7s;
  transition: opacity 0.3s 0.7s;
}

.content__button--hidden {
  pointer-events: none;
  opacity: 0;
  -webkit-transition: none;
  transition: none;
}

/* Spaces list (sidebar) */

.spaces-list {
  position: absolute;
  top: 0;
  right: 0;
  width: 300px;
  min-height: 100vh;
  padding: 5em 0 1em;
  background: #fff;
}

.search {
  position: fixed;
  z-index: 100;
  top: 0;
  right: 0;
  left: calc(100vw - 300px);
}

.search__input {
  width: 100%;
  padding: 1.315em 2em;
  color: #fff;
  border: 0;
  /* background: #515158; */
  background: linear-gradient(66.04deg, #dd2497, #8b00ff);
  border-radius: 0;
  /* 20240611 */
  height: 64px;
}

/* Style pour les navigateurs modernes */
.search__input::placeholder {
  color: #ffffff;
  opacity: 1;
}

/* WebKit (Safari, Chrome) */
.search__input::-webkit-input-placeholder {
  color: #ffffff;
}

/* Mozilla Firefox 19+ */
.search__input::-moz-placeholder {
  color: #ffffff;
  opacity: 1;
}

/* Internet Explorer 10+ */
.search__input:-ms-input-placeholder {
  color: #ffffff;
}

/* Microsoft Edge */
.search__input::-ms-input-placeholder {
  color: #ffffff;
}

/* Older versions of Firefox */
.search__input:-moz-placeholder {
  color: #ffffff;
  opacity: 1;
}

.search__input:focus {
  outline: none;
}

.label {
  position: absolute;
  top: 4em;
  right: 0;
  display: none;
}

.label__text {
  font-size: 0.85em;
  line-height: 1;
  display: block;
  padding: 1em;
  /* color: #e4e4e4; */
  color: #000;
}

.label__checkbox {
  position: absolute;
  z-index: 10;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
  opacity: 0;
}

.label__checkbox:checked + .label__text {
  color: #515158;
}

.list {
  margin: 0 0 2em;
  padding: 0 1em 1em 2em;
  list-style: none;
}

.list__item {
  font-size: 1.05em;
  line-height: 1;
  position: relative;
  display: block;
}

.list__item:first-child {
  margin-top: 2em;
}

.grouped-by-category [data-category="1"]:first-child,
.grouped-by-category :not([data-category="1"]) + [data-category="1"],
.grouped-by-category [data-category="2"]:first-child,
.grouped-by-category :not([data-category="2"]) + [data-category="2"],
.grouped-by-category [data-category="3"]:first-child,
.grouped-by-category :not([data-category="3"]) + [data-category="3"],
.grouped-by-category [data-category="4"]:first-child,
.grouped-by-category :not([data-category="4"]) + [data-category="4"],
.grouped-by-category [data-category="5"]:first-child,
.grouped-by-category :not([data-category="5"]) + [data-category="5"],
.grouped-by-category [data-category="6"]:first-child,
.grouped-by-category :not([data-category="6"]) + [data-category="6"] {
  margin-top: 4em;
}

.grouped-by-category [data-category="1"]:first-child::before,
.grouped-by-category :not([data-category="1"]) + [data-category="1"]::before,
.grouped-by-category [data-category="2"]:first-child::before,
.grouped-by-category :not([data-category="2"]) + [data-category="2"]::before,
.grouped-by-category [data-category="3"]:first-child::before,
.grouped-by-category :not([data-category="3"]) + [data-category="3"]::before,
.grouped-by-category [data-category="4"]:first-child::before,
.grouped-by-category :not([data-category="4"]) + [data-category="4"]::before,
.grouped-by-category [data-category="5"]:first-child::before,
.grouped-by-category :not([data-category="5"]) + [data-category="5"]::before,
.grouped-by-category [data-category="6"]:first-child::before,
.grouped-by-category :not([data-category="6"]) + [data-category="6"]::before {
  font-size: 1.25em;
  position: absolute;
  top: -1.75em;
  left: 0;
  color: #c7c7c9;
}

.grouped-by-category [data-category="1"]:first-child::before,
.grouped-by-category :not([data-category="1"]) + [data-category="1"]::before {
  /* content: "Nourish & Refresh"; */
  content: "Rez de chaussée";
  color: #000;
  font-weight: bold;
}

.grouped-by-category [data-category="2"]:first-child::before,
.grouped-by-category :not([data-category="2"]) + [data-category="2"]::before {
  /* content: "Learn & Create"; */
  content: "Étage 1";
  color: #000;
  font-weight: bold;
}

.grouped-by-category [data-category="3"]:first-child::before,
.grouped-by-category :not([data-category="3"]) + [data-category="3"]::before {
  content: "Étage 2";
  color: #000;
  font-weight: bold;
}

.grouped-by-category [data-category="4"]:first-child::before,
.grouped-by-category :not([data-category="4"]) + [data-category="4"]::before {
  content: "Étage 3";
  color: #000;
  font-weight: bold;
}

.grouped-by-category [data-category="5"]:first-child::before,
.grouped-by-category :not([data-category="5"]) + [data-category="5"]::before {
  content: "Étage 4";
  color: #000;
  font-weight: bold;
}

.grouped-by-category [data-category="6"]:first-child::before,
.grouped-by-category :not([data-category="6"]) + [data-category="6"]::before {
  content: "Étage 5";
  color: #000;
  font-weight: bold;
}

.list__item::after {
  content: "L" attr(data-level) " / " attr(data-space);
  font-size: 0.65em;
  line-height: 3;
  position: absolute;
  top: 0;
  right: 0;
  padding: 0 0.5em;
  pointer-events: none;
  color: #000;
  display: none;
}

.list__link {
  font-size: 0.85em;
  display: block;
  padding: 0.5em 0.5em 0.5em 0;
}

.list__item--active .list__link,
.list__link:hover {
  color: #515158;
}

/* Pins */
.level__pins {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
}

.level__pins--active {
  pointer-events: auto;
}

.pin {
  position: absolute;
  width: 5.5vmin;
  height: 8.25vmin;
  margin: -8.25vmin 0 0 -2.25vmin; /* let the bottom tip be the reference point for individual coordinates */
  -webkit-transform: rotateZ(-20deg) rotateZ(45deg) rotateX(-70deg);
  transform: rotateZ(-20deg) rotateZ(45deg) rotateX(-70deg);
  -webkit-transform-origin: 50% 100%;
  transform-origin: 50% 100%;
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
}

.pin__icon {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
  opacity: 0;
  -webkit-transform: translate3d(0, -100px, 0);
  transform: translate3d(0, -100px, 0);
  -webkit-transition: opacity 0.3s, -webkit-transform 0.3s;
  transition: opacity 0.3s, transform 0.3s;
  -webkit-transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
  transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
}

.level__pins--active .pin__icon {
  opacity: 1;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.pin:nth-child(2) .pin__icon {
  -webkit-transition-delay: 0.05s;
  transition-delay: 0.05s;
}
.pin:nth-child(3) .pin__icon {
  -webkit-transition-delay: 0.1s;
  transition-delay: 0.1s;
}
.pin:nth-child(4) .pin__icon {
  -webkit-transition-delay: 0.15s;
  transition-delay: 0.15s;
}
.pin:nth-child(5) .pin__icon {
  -webkit-transition-delay: 0.2s;
  transition-delay: 0.2s;
}
.pin:nth-child(6) .pin__icon {
  -webkit-transition-delay: 0.25s;
  transition-delay: 0.25s;
}
.pin:nth-child(7) .pin__icon {
  -webkit-transition-delay: 0.3s;
  transition-delay: 0.3s;
}
.pin:nth-child(8) .pin__icon {
  -webkit-transition-delay: 0.35s;
  transition-delay: 0.35s;
}
.pin:nth-child(9) .pin__icon {
  -webkit-transition-delay: 0.4s;
  transition-delay: 0.4s;
}
.pin:nth-child(10) .pin__icon {
  -webkit-transition-delay: 0.45s;
  transition-delay: 0.45s;
}
.pin:nth-child(11) .pin__icon {
  -webkit-transition-delay: 0.5s;
  transition-delay: 0.5s;
}
.pin:nth-child(12) .pin__icon {
  -webkit-transition-delay: 0.55s;
  transition-delay: 0.55s;
}
.pin:nth-child(13) .pin__icon {
  -webkit-transition-delay: 0.6s;
  transition-delay: 0.6s;
}
.pin:nth-child(14) .pin__icon {
  -webkit-transition-delay: 0.65s;
  transition-delay: 0.65s;
}
.pin:nth-child(15) .pin__icon {
  -webkit-transition-delay: 0.7s;
  transition-delay: 0.7s;
}
.pin:nth-child(16) .pin__icon {
  -webkit-transition-delay: 0.75s;
  transition-delay: 0.75s;
}
.pin:nth-child(17) .pin__icon {
  -webkit-transition-delay: 0.8s;
  transition-delay: 0.8s;
}
.pin:nth-child(18) .pin__icon {
  -webkit-transition-delay: 0.85s;
  transition-delay: 0.85s;
}
.pin:nth-child(19) .pin__icon {
  -webkit-transition-delay: 0.9s;
  transition-delay: 0.9s;
}
.pin:nth-child(20) .pin__icon {
  -webkit-transition-delay: 0.95s;
  transition-delay: 0.95s;
}
.pin:nth-child(21) .pin__icon {
  -webkit-transition-delay: 1s;
  transition-delay: 1s;
}
.pin:nth-child(22) .pin__icon {
  -webkit-transition-delay: 1.05s;
  transition-delay: 1.05s;
}
.pin:nth-child(23) .pin__icon {
  -webkit-transition-delay: 1.1s;
  transition-delay: 1.1s;
}
.pin:nth-child(24) .pin__icon {
  -webkit-transition-delay: 1.15s;
  transition-delay: 1.15s;
}
.pin:nth-child(25) .pin__icon {
  -webkit-transition-delay: 1.2s;
  transition-delay: 1.2s;
}
.pin:nth-child(26) .pin__icon {
  -webkit-transition-delay: 1.25s;
  transition-delay: 1.25s;
}
.pin:nth-child(27) .pin__icon {
  -webkit-transition-delay: 1.3s;
  transition-delay: 1.3s;
}
.pin:nth-child(28) .pin__icon {
  -webkit-transition-delay: 1.35s;
  transition-delay: 1.35s;
}
.pin:nth-child(29) .pin__icon {
  -webkit-transition-delay: 1.4s;
  transition-delay: 1.4s;
}
.pin:nth-child(30) .pin__icon {
  -webkit-transition-delay: 1.45s;
  transition-delay: 1.45s;
}
.pin:nth-child(31) .pin__icon {
  -webkit-transition-delay: 1.5s;
  transition-delay: 1.5s;
}
.pin:nth-child(32) .pin__icon {
  -webkit-transition-delay: 1.55s;
  transition-delay: 1.55s;
}
.pin:nth-child(33) .pin__icon {
  -webkit-transition-delay: 1.6s;
  transition-delay: 1.6s;
}
.pin:nth-child(34) .pin__icon {
  -webkit-transition-delay: 1.65s;
  transition-delay: 1.65s;
}
.pin:nth-child(35) .pin__icon {
  -webkit-transition-delay: 1.7s;
  transition-delay: 1.7s;
}
.pin:nth-child(36) .pin__icon {
  -webkit-transition-delay: 1.75s;
  transition-delay: 1.75s;
}
.pin:nth-child(37) .pin__icon {
  -webkit-transition-delay: 1.8s;
  transition-delay: 1.8s;
}
.pin:nth-child(38) .pin__icon {
  -webkit-transition-delay: 1.85s;
  transition-delay: 1.85s;
}
.pin:nth-child(39) .pin__icon {
  -webkit-transition-delay: 1.9s;
  transition-delay: 1.9s;
}
.pin:nth-child(40) .pin__icon {
  -webkit-transition-delay: 1.95s;
  transition-delay: 1.95s;
}

/* Pin RDC */
.pin[data-category="1"] .icon--pin {
  /* fill: #7cbf7f; */
  fill: #ff9400;
}

/* Pin E1 */
.pin[data-category="2"] .icon--pin {
  /* fill: #6584c7; */
  fill: #f70000;
}

/* Pin E2 */
.pin[data-category="3"] .icon--pin {
  /* fill: #dc4b7c; */
  fill: #43c0a6;
}

/* Pin E3 */
.pin[data-category="4"] .icon--pin {
  /* fill: #8d65e0; */
  fill: #dd2497;
}

/* Pin E4 */
.pin[data-category="5"] .icon--pin {
  /* fill: #8d65e0; */
  fill: #8b00ff;
}

/* Pin E5 */
.pin[data-category="6"] .icon--pin {
  /* fill: #8d65e0; */
  fill: #f2b33d;
}

.pin--active .icon--pin {
  stroke: #515158;
  stroke-width: 15px;
}

.icon--pin {
  width: 100%;
  height: 100%;
  /* 20240611 */
  stroke: #fff;
  stroke-width: 5px;
}

.icon--logo {
  position: absolute;
  top: 11%;
  left: 25%;
  width: 50%;
  height: 50%;
  fill: white;
  fill-opacity: 0.6;
  -webkit-transition: fill-opacity 0.3s;
  transition: fill-opacity 0.3s;
}

.pin--active .icon--logo,
.pin:hover .icon--logo {
  fill-opacity: 1;
}

/* Positions des pins pour chaque niveau */

/* Pins for Rez de chaussée */

/* Atrium */
.pin--1-1 {
  top: 25vmin;
  left: 47vmin;
}

/* Cantina */
.pin--1-2 {
  top: 36vmin;
  left: 15vmin;
}

/* Espace conférence */
.pin--1-3 {
  top: 19vmin;
  left: 20vmin;
}

/* GONG */
.pin--1-4 {
  top: 29vmin;
  left: 1vmin;
}
.pin--1-5 {
  top: 44vmin;
  left: 32vmin;
}
.pin--1-6 {
  top: 44vmin;
  left: 36vmin;
}

/* accueil */
.pin--1-7 {
  top: 44vmin;
  left: 42vmin;
}

/* studio numérique */
.pin--1-8 {
  top: 45vmin;
  left: 55vmin;
}

/* salle de reunion 1 */
.pin--1-9 {
  top: 40vmin;
  left: 68vmin;
}

/* salle de reunion 2 */
.pin--1-10 {
  top: 35vmin;
  left: 67vmin;
}

/* salle de reunion 3 */
.pin--1-11 {
  top: 23vmin;
  left: 68vmin;
}
/* salle de reunion 4 */
.pin--1-12 {
  top: 16vmin;
  left: 67vmin;
}
.pin--1-13 {
  top: 23vmin;
  left: 92vmin;
}

/* sns */
.pin--1-14 {
  top: 29vmin;
  left: 83vmin;
}

/* Pins for Étage 1 */

/* noolitic */
.pin--2-1 {
  top: 4vmin;
  left: 4vmin;
}

/* cryptr */
.pin--2-2 {
  top: 4vmin;
  left: 12vmin;
}

/* keepzy */
.pin--2-3 {
  top: 4vmin;
  left: 20vmin;
}

/* asso z */
.pin--2-4 {
  top: 4vmin;
  left: 28vmin;
}

/* Incubateur #1 */
.pin--2-5 {
  top: 37vmin;
  left: 3vmin;
}

/* Incubateur #2 */
.pin--2-6 {
  top: 21vmin;
  left: 4vmin;
}

/* Incubateur #3 */
.pin--2-7 {
  top: 19vmin;
  left: 26vmin;
}
.pin--2-8 {
  top: 52vmin;
  left: 74vmin;
}

/* Worlea */
.pin--2-9 {
  top: 54vmin;
  left: 24vmin;
}

/* Appiway */
.pin--2-10 {
  top: 59vmin;
  left: 25vmin;
}

/* Espace jeune maman */
.pin--2-11 {
  top: 51vmin;
  left: 19vmin;
}

/* Bureaux EuraTechnologies */
.pin--2-12 {
  top: 61vmin;
  left: 9vmin;
}

/* Compario */
.pin--2-13 {
  top: 4vmin;
  left: 69vmin;
}

/* skillsoft */
.pin--2-14 {
  top: 4vmin;
  left: 82vmin;
}

/* Spiich */
.pin--2-15 {
  top: 4vmin;
  left: 86vmin;
}

/* Quod Financial */
.pin--2-16 {
  top: 4vmin;
  left: 92vmin;
}

/* sparo social */
.pin--2-17 {
  top: 22vmin;
  left: 92vmin;
}

/* Welleat */
.pin--2-18 {
  top: 25vmin;
  left: 85vmin;
}

/* Share & Smile */
.pin--2-19 {
  top: 26vmin;
  left: 93vmin;
}

/* LK Formations */
.pin--2-20 {
  top: 38vmin;
  left: 92vmin;
}

/* CEA */
.pin--2-21 {
  top: 60vmin;
  left: 76vmin;
}

/* DataFolio */
.pin--2-22 {
  top: 40vmin;
  left: 71vmin;
}

/* TRADE IN */
.pin--2-23 {
  top: 29vmin;
  left: 63vmin;
}
.pin--2-24 {
  top: 31vmin;
  left: 71vmin;
}

/* Mariloo */
.pin--2-25 {
  top: 21vmin;
  left: 64vmin;
}

/* Pins for Étage 2 */

/* trustup */
.pin--3-1 {
  top: 4vmin;
  left: 3vmin;
}

/* Cald */
.pin--3-2 {
  top: 4vmin;
  left: 10vmin;
}

/* weclimb */
.pin--3-3 {
  top: 4vmin;
  left: 20vmin;
}

/* CLUB TIDY */
.pin--3-4 {
  top: 4vmin;
  left: 27vmin;
}

/* societe nouvelle */
.pin--3-5 {
  top: 18vmin;
  left: 28vmin;
}

/* Jiro FRANCE */
.pin--3-6 {
  top: 31vmin;
  left: 21vmin;
}

/* Genio */
.pin--3-7 {
  top: 32vmin;
  left: 22vmin;
}

/* Listen Too */
.pin--3-8 {
  top: 35vmin;
  left: 22vmin;
}

/* Cautioneo */
.pin--3-9 {
  top: 40vmin;
  left: 29vmin;
}

/* olome */
.pin--3-10 {
  top: 58vmin;
  left: 24vmin;
}

/* eurobail */
.pin--3-11 {
  top: 53vmin;
  left: 9vmin;
}

/* Hygeo */
.pin--3-12 {
  top: 62vmin;
  left: 7vmin;
}

/* taftavie */
.pin--3-13 {
  top: 53vmin;
  left: 2vmin;
}

/* tataplace */
.pin--3-14 {
  top: 38vmin;
  left: 9vmin;
}

/* neoweb */
.pin--3-15 {
  top: 38vmin;
  left: 2vmin;
}

/* welovedev */
.pin--3-16 {
  top: 33vmin;
  left: 9vmin;
}

/* koltrain */
.pin--3-17 {
  top: 28vmin;
  left: 2vmin;
}

/* Coworking */
.pin--3-18 {
  top: 25vmin;
  left: 1vmin;
}

/* TRADE TRACKER FRANCE */
.pin--3-19 {
  top: 4vmin;
  left: 64vmin;
}

/* ACOBI */
.pin--3-20 {
  top: 4vmin;
  left: 75vmin;
}

/* BOOPER */
.pin--3-21 {
  top: 19vmin;
  left: 92vmin;
}

/* INSCHOOL */
.pin--3-22 {
  top: 28vmin;
  left: 91vmin;
}

/* NIJTA */
.pin--3-23 {
  top: 32vmin;
  left: 92vmin;
}

/* KONEXIO */
.pin--3-24 {
  top: 41vmin;
  left: 84vmin;
}

/* MICROSOFT */
.pin--3-25 {
  top: 60vmin;
  left: 91vmin;
}

/* CEA */
.pin--3-26 {
  top: 59vmin;
  left: 85vmin;
}
.pin--3-27 {
  top: 24vmin;
  left: 65vmin;
}

/* ALKALAB (Feedier) */
.pin--3-28 {
  top: 60vmin;
  left: 64vmin;
}

/* WETRI */
.pin--3-29 {
  top: 43vmin;
  left: 63vmin;
}

/* MSI2 */
.pin--3-30 {
  top: 23vmin;
  left: 71vmin;
}

/* BConseil */
.pin--3-31 {
  top: 19vmin;
  left: 63vmin;
}

/* Pins for Étage 3 */

/* Karbon */
.pin--4-1 {
  top: 4vmin;
  left: 2vmin;
}

/* Samsys */
.pin--4-2 {
  top: 4vmin;
  left: 8vmin;
}

/* Novabricks */
.pin--4-3 {
  top: 4vmin;
  left: 22vmin;
}

/* finovam */
.pin--4-4 {
  top: 14vmin;
  left: 29vmin;
}

/* JOOXTER */
.pin--4-5 {
  top: 19vmin;
  left: 22vmin;
}

/* recade */
.pin--4-6 {
  top: 22vmin;
  left: 28vmin;
}

/* fondation des possibles */
.pin--4-7 {
  top: 31vmin;
  left: 28vmin;
}

/* EDEN */
.pin--4-8 {
  top: 26vmin;
  left: 23vmin;
}

/* origami market place */
.pin--4-9 {
  top: 36vmin;
  left: 39vmin;
}

/* UTOCAT */
.pin--4-10 {
  top: 50vmin;
  left: 23vmin;
}

/* ADDINGWELL */
.pin--4-11 {
  top: 50vmin;
  left: 16vmin;
}

/* Pins for Étage 4 */

/* TRACKAP */
.pin--5-1 {
  top: 4vmin;
  left: 2vmin;
}

/* NEWAV */
.pin--5-2 {
  top: 4vmin;
  left: 20vmin;
}

/* ACTEMIUM LILLE DIGITAL SOLUTIONS */

.pin--5-3 {
  top: 16vmin;
  left: 20vmin;
}

/* ConsultVox */
.pin--5-4 {
  top: 22vmin;
  left: 21vmin;
}

/* TYPYK */
.pin--5-5 {
  top: 29vmin;
  left: 28vmin;
}

/* PROPPL */
.pin--5-6 {
  top: 25vmin;
  left: 21vmin;
}

/* MON DAF  */
.pin--5-7 {
  top: 21vmin;
  left: 21vmin;
}

/* GABBY */
.pin--5-8 {
  top: 31vmin;
  left: 29vmin;
}

/* USE YOUR LAW */
.pin--5-9 {
  top: 32vmin;
  left: 20vmin;
}

/* INNOVATION LOOP */
.pin--5-10 {
  top: 33vmin;
  left: 29vmin;
}

/* whize */
.pin--5-11 {
  top: 42vmin;
  left: 26vmin;
}

/* novadvis */
.pin--5-12 {
  top: 47vmin;
  left: 26vmin;
}

/* bellepoque */
.pin--5-13 {
  top: 50vmin;
  left: 21vmin;
}

/* my lovely jobs */
.pin--5-14 {
  top: 43vmin;
  left: 21vmin;
}

/* memoracar */
.pin--5-15 {
  top: 39vmin;
  left: 32vmin;
}

/* amalia */
.pin--5-16 {
  top: 43vmin;
  left: 8vmin;
}

.pin--5-17 {
  top: 12vmin;
  left: 1vmin;
}

.pin--5-18 {
  top: 47vmin;
  left: 1vmin;
}

/* DIAG N'GROW */
.pin--5-19 {
  top: 44vmin;
  left: 1vmin;
}

.pin--5-20 {
  top: 30vmin;
  left: 1vmin;
}

/* Videas */
.pin--5-21 {
  top: 20vmin;
  left: 1vmin;
}

/* USER AGENCY */
.pin--5-22 {
  top: 22vmin;
  left: 1vmin;
}

/* houzing */
.pin--5-23 {
  top: 16vmin;
  left: 1vmin;
}

/* Pins for Étage 5 */

.pin--6-1 {
  top: 48vmin;
  left: 3vmin;
}

.pin--6-2 {
  top: 47vmin;
  left: 18vmin;
}

/* Mobile compatability */
.open-search,
.close-search {
  display: none;
}

@media screen and (max-width: 65.625em), screen and (max-height: 40.625em) {
  .main {
    width: 100vw;
  }
  .spaces-list,
  .search {
    width: 100vw;
    right: 100%;
    left: auto;
  }
  .spaces-list--open,
  .spaces-list--open .search {
    right: 0;
  }
  .open-search,
  .close-search {
    position: absolute;
    display: block;
    top: 0;
    right: 0;
    z-index: 1000;
  }
  .mallnav {
    top: 4em;
  }
  .container {
    overflow: hidden;
  }
  .container--overflow {
    overflow: auto;
  }
  .content__item {
    overflow: auto;
  }
  .codrops-header {
    padding-right: 4em;
    text-align: left;
  }

  .content__item--current .content__item-details {
    gap: 2vmax;
  }

  .content__item-title {
    font-size: 1.15em;
    padding: 1em 0;
  }

  .content__item {
    padding: 1em;
  }

  p.content__desc {
    font-size: 0.75em;
  }

  img.content__item-logo {
    width: 50px !important;
  }

  svg.zoom.mobile {
    display: block;
  }

  /* warning: pin position have to change */
  /* .levels {
    width: 80vmin !important;
    height: 60vmin !important;
    margin: -30vmin 0 0 -40vmin !important;
  } */
}

/* CUSTOM: Adaptation pour EURATECHNOLOGIES */

.codrops-links {
  display: none;
}

.surroundings {
  /* display: none; */
  opacity: 0;
}

p.content__meta {
  display: none;
}

img.content__item-logo {
  width: 120px;
  height: auto;
  object-fit: contain;
  object-position: center;
  margin: 0;
}

img.content__item-logo.hidden {
  display: none;
}

/* Custom SVG */

.cls-1,
.cls-2,
.cls-3 {
  stroke-width: 0px;
}
